# Optimisation "difficile"
La plupart des problèmes n'ont pas de solution générale exacte en temps raisonnable.  
Si on veut garder la généralité, on a un choix :  
- soit on continue à garantir l'exactitude du résultat, au risque d'avoir un temps d'exécution trop long. (famille *branch and bound*, ex A* pour la recherche de chemin et algorithm de little pour le TSP)
- soit on s'arrange pour contrôler le temps d'exécution et dans ce cas, on perd l'exactitude de la solution  
